package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.panels.FilterSlotPanel
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel
import ru.dbotthepony.mc.otm.client.screen.widget.PowerGaugePanel

import ru.dbotthepony.mc.otm.menu.StorageBusMenu

class StorageBusScreen(menu: StorageBusMenu, inventory: Inventory, title: Component) :
	MatteryScreen<StorageBusMenu>(menu, inventory, title) {
	override fun makeMainFrame(): FramePanel {
		val frame = super.makeMainFrame()!!

		PowerGaugePanel(this, frame, menu.powerWidget, LEFT_MARGIN, GAUGE_TOP_WITH_SLOT)
		SlotPanel(this, frame, menu.batterySlot, LEFT_MARGIN, SLOT_TOP_UNDER_GAUGE)

		for (row in 0 .. 2) {
			for (column in 0 .. 5) {
				FilterSlotPanel(this, frame, menu.busFilterSlots[row + column * 3], 55f + 18f * column, 17f + 18f * row)
			}
		}

		return frame
	}
}
